using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using HySoft.DBUtility;//Please add references
namespace HySoft.BaseCallCenter.DAL
{
	/// <summary>
	/// 数据访问类:T_Wo_WorkOrderFiles
	/// </summary>
	public partial class T_Wo_WorkOrderFiles
	{
		public T_Wo_WorkOrderFiles()
		{}
		#region  Method



		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Wo_WorkOrderFiles(");
			strSql.Append("F_WORKORDERID,F_NAME,F_PATH,F_DES,F_TYPE,F_SIZE,F_UPLOADSTATE,F_USERID,F_UPLOADDATE,F_HOISTYID)");
			strSql.Append(" values (");
			strSql.Append("@F_WORKORDERID,@F_NAME,@F_PATH,@F_DES,@F_TYPE,@F_SIZE,@F_UPLOADSTATE,@F_USERID,@F_UPLOADDATE,@F_HOISTYID)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_NAME", SqlDbType.VarChar,50),
					new SqlParameter("@F_PATH", SqlDbType.VarChar,200),
					new SqlParameter("@F_DES", SqlDbType.VarChar,200),
					new SqlParameter("@F_TYPE", SqlDbType.VarChar,20),
					new SqlParameter("@F_SIZE", SqlDbType.Decimal,9),
					new SqlParameter("@F_UPLOADSTATE", SqlDbType.Int,4),
					new SqlParameter("@F_USERID", SqlDbType.Int,4),
					new SqlParameter("@F_UPLOADDATE", SqlDbType.DateTime),
					new SqlParameter("@F_HOISTYID", SqlDbType.VarChar,200)};
			parameters[0].Value = model.F_WORKORDERID;
			parameters[1].Value = model.F_NAME;
			parameters[2].Value = model.F_PATH;
			parameters[3].Value = model.F_DES;
			parameters[4].Value = model.F_TYPE;
			parameters[5].Value = model.F_SIZE;
			parameters[6].Value = model.F_UPLOADSTATE;
			parameters[7].Value = model.F_USERID;
			parameters[8].Value = model.F_UPLOADDATE;
			parameters[9].Value = model.F_HOISTYID;

			object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Wo_WorkOrderFiles set ");
			strSql.Append("F_WORKORDERID=@F_WORKORDERID,");
			strSql.Append("F_NAME=@F_NAME,");
			strSql.Append("F_PATH=@F_PATH,");
			strSql.Append("F_DES=@F_DES,");
			strSql.Append("F_TYPE=@F_TYPE,");
			strSql.Append("F_SIZE=@F_SIZE,");
			strSql.Append("F_UPLOADSTATE=@F_UPLOADSTATE,");
			strSql.Append("F_USERID=@F_USERID,");
			strSql.Append("F_UPLOADDATE=@F_UPLOADDATE,");
			strSql.Append("F_HOISTYID=@F_HOISTYID");
			strSql.Append(" where F_FILEID=@F_FILEID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_NAME", SqlDbType.VarChar,50),
					new SqlParameter("@F_PATH", SqlDbType.VarChar,200),
					new SqlParameter("@F_DES", SqlDbType.VarChar,200),
					new SqlParameter("@F_TYPE", SqlDbType.VarChar,20),
					new SqlParameter("@F_SIZE", SqlDbType.Decimal,9),
					new SqlParameter("@F_UPLOADSTATE", SqlDbType.Int,4),
					new SqlParameter("@F_USERID", SqlDbType.Int,4),
					new SqlParameter("@F_UPLOADDATE", SqlDbType.DateTime),
					new SqlParameter("@F_HOISTYID", SqlDbType.VarChar,200),
					new SqlParameter("@F_FILEID", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WORKORDERID;
			parameters[1].Value = model.F_NAME;
			parameters[2].Value = model.F_PATH;
			parameters[3].Value = model.F_DES;
			parameters[4].Value = model.F_TYPE;
			parameters[5].Value = model.F_SIZE;
			parameters[6].Value = model.F_UPLOADSTATE;
			parameters[7].Value = model.F_USERID;
			parameters[8].Value = model.F_UPLOADDATE;
			parameters[9].Value = model.F_HOISTYID;
			parameters[10].Value = model.F_FILEID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

        public bool Update1(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Wo_WorkOrderFiles set ");
            strSql.Append("F_WORKORDERID=@F_WORKORDERID,");
            strSql.Append("F_HOISTYID=@F_HOISTYID");
            strSql.Append(" where F_FILEID=@F_FILEID");
            SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_HOISTYID", SqlDbType.VarChar,200),
					new SqlParameter("@F_FILEID", SqlDbType.Int,4)};
            parameters[0].Value = model.F_WORKORDERID;
            parameters[1].Value = model.F_HOISTYID;
            parameters[2].Value = model.F_FILEID;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_FILEID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderFiles ");
			strSql.Append(" where F_FILEID=@F_FILEID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_FILEID", SqlDbType.Int,4)
};
			parameters[0].Value = F_FILEID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_FILEIDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderFiles ");
			strSql.Append(" where F_FILEID in ("+F_FILEIDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles GetModel(int F_FILEID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_FILEID,F_WORKORDERID,F_NAME,F_PATH,F_DES,F_TYPE,F_SIZE,F_UPLOADSTATE,F_USERID,F_UPLOADDATE,F_HOISTYID from T_Wo_WorkOrderFiles ");
			strSql.Append(" where F_FILEID=@F_FILEID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_FILEID", SqlDbType.Int,4)
};
			parameters[0].Value = F_FILEID;

			HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles model=new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderFiles();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				if(ds.Tables[0].Rows[0]["F_FILEID"]!=null && ds.Tables[0].Rows[0]["F_FILEID"].ToString()!="")
				{
					model.F_FILEID=int.Parse(ds.Tables[0].Rows[0]["F_FILEID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_WORKORDERID"]!=null && ds.Tables[0].Rows[0]["F_WORKORDERID"].ToString()!="")
				{
					model.F_WORKORDERID=int.Parse(ds.Tables[0].Rows[0]["F_WORKORDERID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_NAME"]!=null && ds.Tables[0].Rows[0]["F_NAME"].ToString()!="")
				{
					model.F_NAME=ds.Tables[0].Rows[0]["F_NAME"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_PATH"]!=null && ds.Tables[0].Rows[0]["F_PATH"].ToString()!="")
				{
					model.F_PATH=ds.Tables[0].Rows[0]["F_PATH"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_DES"]!=null && ds.Tables[0].Rows[0]["F_DES"].ToString()!="")
				{
					model.F_DES=ds.Tables[0].Rows[0]["F_DES"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_TYPE"]!=null && ds.Tables[0].Rows[0]["F_TYPE"].ToString()!="")
				{
					model.F_TYPE=ds.Tables[0].Rows[0]["F_TYPE"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_SIZE"]!=null && ds.Tables[0].Rows[0]["F_SIZE"].ToString()!="")
				{
					model.F_SIZE=decimal.Parse(ds.Tables[0].Rows[0]["F_SIZE"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_UPLOADSTATE"]!=null && ds.Tables[0].Rows[0]["F_UPLOADSTATE"].ToString()!="")
				{
					model.F_UPLOADSTATE=int.Parse(ds.Tables[0].Rows[0]["F_UPLOADSTATE"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_USERID"]!=null && ds.Tables[0].Rows[0]["F_USERID"].ToString()!="")
				{
					model.F_USERID=int.Parse(ds.Tables[0].Rows[0]["F_USERID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_UPLOADDATE"]!=null && ds.Tables[0].Rows[0]["F_UPLOADDATE"].ToString()!="")
				{
					model.F_UPLOADDATE=DateTime.Parse(ds.Tables[0].Rows[0]["F_UPLOADDATE"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_HOISTYID"]!=null && ds.Tables[0].Rows[0]["F_HOISTYID"].ToString()!="")
				{
					model.F_HOISTYID=ds.Tables[0].Rows[0]["F_HOISTYID"].ToString();
				}
				return model;
			}
			else
			{
				return null;
			}
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_FILEID,F_WORKORDERID,F_NAME,F_PATH,F_DES,F_TYPE,F_SIZE,F_UPLOADSTATE,F_USERID,F_UPLOADDATE,F_HOISTYID ");
			strSql.Append(" FROM T_Wo_WorkOrderFiles ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_FILEID,F_WORKORDERID,F_NAME,F_PATH,F_DES,F_TYPE,F_SIZE,F_UPLOADSTATE,F_USERID,F_UPLOADDATE,F_HOISTYID ");
			strSql.Append(" FROM T_Wo_WorkOrderFiles ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Wo_WorkOrderFiles ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_FILEID desc");
			}
			strSql.Append(")AS Row, T.*  from T_Wo_WorkOrderFiles T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Wo_WorkOrderFiles";
			parameters[1].Value = "F_FILEID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  Method
	}
}

